Package Details: i2c-tools-git r332.4b28579-2

Git Clone URL: https://aur.archlinux.org/i2c-tools-git.git (read-only, click to copy)
Package Base: i2c-tools-git
Description: Heterogeneous set of I2C tools for Linux that used to be part of lm-sensors.
Upstream URL: https://git.kernel.org/pub/scm/utils/i2c-tools/i2c-tools.git/about/
Licenses: GPL
Conflicts: i2c-tools, i2c-tools-svn
Provides: i2c-tools, i2c-tools-svn
Submitter: dylwhich
Maintainer: dylwhich (cengiz_io)
Last Packager: cengiz_io
Votes: 9
Popularity: 0.49
First Submitted: 2015-09-21 16:14 (UTC)
Last Updated: 2020-03-05 07:44 (UTC)

Dependencies (4)

Required by (31)

Sources (1)

Latest Comments

cengiz_io commented on 2020-12-22 23:35 (UTC)

jonasmalacofilho: thanks for reporting. Unfortunately I am currently away from my machine and can't check PKGBUILD validity for a couple of days. I will be sharing any details here ASAP.

jonasmalacofilho commented on 2020-12-20 11:48 (UTC)

python-smbus doesn't exist (anymore?), the stable Python support is part of the i2c-tools package. This breaks packages that correctly (at least as of now) depend on i2c-tools for Python SMBus support.

cengiz_io commented on 2020-03-05 07:45 (UTC)

Added "aarch64" to supported architectures list.

PreparationH67 commented on 2020-03-03 16:37 (UTC)

Can you please add "aarch64" to the arch array? Thanks.

cengiz_io commented on 2018-11-18 09:04 (UTC)

Updated the repo. Tools work fine. Thanks @potatoe

potatoe commented on 2018-11-16 18:36 (UTC)

@cengiz_io: Switching the PKGBUILD's make install command to:

  make DESTDIR="${pkgdir}" PREFIX="/usr" sbindir="/usr/bin" install

worked for me to build and install the package, but I'm not sure if anything actually works post-install (was installing to meet the dependencies for another package, but I'm not actually using any of the I2C-related code paths there).

cengiz_io commented on 2018-11-15 16:07 (UTC)

@potatoe I'll check it asap

potatoe commented on 2018-11-15 00:26 (UTC)

install: cannot create regular file '/usr/local/lib/libi2c.so.0.1.0': Permission denied

Upstream seems to have switched to a Makefile with support for the standard DESTDIR and PREFIX environment variables.

lonaowna commented on 2017-08-31 19:34 (UTC)

Please switch to the new upstream: https://git.kernel.org/pub/scm/utils/i2c-tools/i2c-tools.git (info from groeck https://github.com/groeck/lm-sensors/issues/31)

nalgenebottle commented on 2017-05-30 18:14 (UTC)

Package is broken, as the github source is not available any longer ... it seems as if the respective tools are now available in the lm_sensors package ? Not 100% sure ...

dylwhich commented on 2016-01-19 19:54 (UTC)

@thx1138 PKGBUILD has been updated. Thanks!

thx1138 commented on 2016-01-16 03:39 (UTC)

Hmm - it seems this needs to run "make" with "-j1" to avoid "make" getting ahead of itself, with the error: liblib//libi2c.so: file not libi2c.so: file not recognized: Filelib/libi2c.so: file not recognized: File truncated So, in the PKGBUILD, make -j1 EXTRA=eeprog